Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.eclipse.gemini.blueprint.service.exporter.support
Enum ExportContextClassLoaderEnum

    java.lang.Object
      java.lang.Enum<ExportContextClassLoaderEnum>
          org.eclipse.gemini.blueprint.service.exporter.support.ExportContextClassLoaderEnum

All Implemented Interfaces:
  Serializable, Comparable<ExportContextClassLoaderEnum>

    public enum ExportContextClassLoaderEnum

extends Enum<ExportContextClassLoaderEnum>

Enum describing the the possible thread context class loader (tccl) options for exporter OSGi services. If managed, the tccl will be set to the appropriate class loader, on each service call for the duration of the invocation.

Used by `OsgiServiceFactoryBean` for exported services that depend on certain tccl to be set.

Author:
  Costin Leau
See Also:
  `ImportContextClassLoaderEnum`

Enum Constant Summary
`SERVICE_PROVIDER` The tccl will be set to that of the service provider upon service invocation
`UNMANAGED` The tccl will not be managed

Method Summary
`static ExportContextClassLoaderEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ExportContextClassLoaderEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNMANAGED

    public static final ExportContextClassLoaderEnum UNMANAGED

  The tccl will not be managed

### SERVICE_PROVIDER

    public static final ExportContextClassLoaderEnum SERVICE_PROVIDER

  The tccl will be set to that of the service provider upon service invocation

Method Detail

### values

    public static final ExportContextClassLoaderEnum[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ExportContextClassLoaderEnum c : ExportContextClassLoaderEnum.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ExportContextClassLoaderEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2010 Spring Framework. All Rights Reserved.